# NativeException class

Contains information about a native SDK error if it occurred while executing API calls.

Annotations
  - @JsonSerializable(explicitToJson: true, includeIfNull: true, genericArgumentFactories: true)

## Constructors

NativeException({String error = "", StackTrace? stackTrace})
NativeException.fromJson(Map<String, dynamic> json)
  factory

## Properties

error ↔ String
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
stackTrace ↔ StackTrace?
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Methods

fromErrorResponse(ErrorResponse? errorResponse) → NativeException
fromThrowable(Throwable? throwable) → NativeException